Installation Woes on an older iMac

Discussion in 'iMac' started by ENDT91, Jan 5, 2009.

  1. ENDT91 macrumors newbie

    Joined:
    Jan 4, 2009
    #1
    I have an iMac G3. I know it's kind of old, but I need to get it working again because it's just been sitting in a closet collecting dust. Originally, I had it running with both OS9 and OSX (10.1.3 I think?). I later had it running perfectly with OSX 10.4.8. Well one day I decided to reformat the whole thing and start over fresh as there was a lot of junk on there that I didn't want to deal with. OS9 installs just fine, but when I try to install OSX 10.1.3, it says that there were errors during installation. This is what the last line of the log says:

    Error: (null) - pax : error22: Failed to write /private/var/tmp/Mount02/./System/Library/Extensions/AppleNDRV/ATIDriverUpdate - Invalid Argument

    10.4.8 says there were errors as well. I figure if i can get one version of OSX working I can probably get the other one working as well. I would greatly appreciate any and all advice.

    Thanks.
     
  2. iBookG4user macrumors 604

    iBookG4user

    Joined:
    Jun 27, 2006
    Location:
    Seattle, WA
    #2
    When you are installing OS X, have you tried going to Disk Utility and repairing the disk? Also, are you doing an erase and install?
     
  3. ENDT91 thread starter macrumors newbie

    Joined:
    Jan 4, 2009
    #3
    Originally, I was not doing an erase and install, but this morning I tried it and got a little farther. However, the installer stopped and once again said that there were errors. This was the last line of the log:

    Error: (null) - pax : error22: Failed to write /private/var/tmp/Mount02/./System/Library/Frameworks/ApplicationServices.framework/versions/A/Frameworks/LangAnalysis.framew

    I can't seem to find the disk utility on the 10.1.3 disk. I will try with the OSX 10.4.8 one though.
     

Share This Page